Skip to main content
DELETE
Cancel a subscription now or at a future date

Authorizations

Authorization
string
header
required

Base64 encoding of username:password as supplied by Bango Support

Headers

X-RequestIdentifier
string

An arbitrary, optional, globally unique identifier for the request. If present, this ID is used for idempotency.

Path Parameters

subscriptionId
string<uuid>
required

The unique identifier generated by Bango for a subscription. The unique identifier generated by Bango for a subscription. This is a globally unique, opaque string

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

requestedDate
string<date>

The YYYY-MM-DD UTC date on which the subscription should end.

Ignored if entitlementPolicy is set.

If this date is in the past, equivalent to entitlementPolicy IMMEDIATE.

entitlementPolicy
enum<string>
default:IMMEDIATE

IMMEDIATE - is hard cancel, also revoke (user does not have more access to the service) . END_OF_TERM - is soft cancel (user still has access for the entire paid period)

Available options:
IMMEDIATE,
END_OF_TERM

Response

Subscription cancelled

responseCode
enum<string>
required

Always 'OK'

Available options:
OK
responseMessage
string
required
Example:

"Success"